## org.metaabm
Interface IValue

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AEvaluate, ALiteral, AMultiValue, AOrdering, AQuery, ASink, ATest, SAttribute, SAttributeArray, SState, SStateValue

All Known Implementing Classes:
  AEvaluateImpl, ALiteralImpl, AMultiValueImpl, AQueryImpl, ASinkImpl, SAttributeArrayImpl, SAttributeImpl, SStateImpl, SStateValueImpl

    public interface IValue

extends IID

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getAccessors()` Returns the value of the 'Accessors' reference list.
`org.eclipse.emf.common.util.EList<SAttributeType>` `getAvailableTypes()` Returns the value of the 'Available Types' attribute list.
`boolean` `references(IValue value)`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAccessors

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAccessors()

  Returns the value of the 'Accessors' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Accessors' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessors' reference list.
  See Also:
    `MetaABMPackage.getIValue_Accessors()`

### getAvailableTypes

    org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes()

  Returns the value of the 'Available Types' attribute list. The list contents are of type `SAttributeType`. The literals are from the enumeration `SAttributeType`.

  If the meaning of the 'Available Types' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Available Types' attribute list.
  See Also:
    `SAttributeType`, `MetaABMPackage.getIValue_AvailableTypes()`

### references

    boolean references(IValue value)